| Supported | Rust                             | Fastcall | V8          | Notes                                                                                                                                                                                            |
| --------- | -------------------------------- | -------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| X         | bool                             | X        | Bool        |                                                                                                                                                                                                  |
| X         | i8                               | X        | Int32       |                                                                                                                                                                                                  |
| X         | u8                               | X        | Uint32      |                                                                                                                                                                                                  |
| X         | i16                              | X        | Int32       |                                                                                                                                                                                                  |
| X         | u16                              | X        | Uint32      |                                                                                                                                                                                                  |
| X         | i32                              | X        | Int32       |                                                                                                                                                                                                  |
| X         | u32                              | X        | Uint32      |                                                                                                                                                                                                  |
| X         | #[smi] ResourceId                | X        | Int32       | SMI is internally represented as a signed integer, but unsigned `#[smi]` types will be bit-converted to unsigned values for the Rust call. JavaScript code will continue to see signed integers. |
| X         | #[bigint] i64                    |          | BigInt      |                                                                                                                                                                                                  |
| X         | #[bigint] u64                    |          | BigInt      |                                                                                                                                                                                                  |
| X         | #[bigint] isize                  |          | BigInt      |                                                                                                                                                                                                  |
| X         | #[bigint] usize                  |          | BigInt      |                                                                                                                                                                                                  |
| X         | f32                              | X        | Number      |                                                                                                                                                                                                  |
| X         | f64                              | X        | Number      |                                                                                                                                                                                                  |
| X         | #[string] String                 |          | String      |                                                                                                                                                                                                  |
|           | #[string] &str                   |          | String      |                                                                                                                                                                                                  |
|           | #[string] Cow<str>               |          | String      |                                                                                                                                                                                                  |
|           | #[string(onebyte)] Cow<[u8]>     |          | String      |                                                                                                                                                                                                  |
| X         | #[buffer] Vec<u8>                |          | ArrayBuffer |                                                                                                                                                                                                  |
| X         | #[buffer] Box<[u8]>              |          | ArrayBuffer |                                                                                                                                                                                                  |
| X         | #[buffer] bytes::BytesMut        |          | ArrayBuffer |                                                                                                                                                                                                  |
| X         | *const std::ffi::c_void          | X        | External    |                                                                                                                                                                                                  |
| X         | *mut std::ffi::c_void            | X        | External    |                                                                                                                                                                                                  |
| X         | v8::Local<v8::Value>             |          | any         |                                                                                                                                                                                                  |
| X         | v8::Local<v8::**V8**>            |          | **V8**      |                                                                                                                                                                                                  |
|           | #[global] v8::Global<v8::Value>  |          | any         |                                                                                                                                                                                                  |
|           | #[global] v8::Global<v8::**V8**> |          | **V8**      |                                                                                                                                                                                                  |
| X         | #[serde] SerdeType               |          | any         |                                                                                                                                                                                                  |
| X         | #[serde] (Tuple, Tuple)          |          | any         |                                                                                                                                                                                                  |
